Գործընկերների համար API › Կարգավորումներ Ակցիայի ջնջում POST /api/crm/v2/special_offers_list.deletev2
operationId: specialOffersList.delete
Ջնջում է ակցիան և դրա պատկերը սկավառակի վրա:.
Հավաստագրում api-token + language + role
Հարցման պարամետրեր branch_id integer
Այն մասնաճյուղը, որտեղ կատարվում է հարցումը։ Մի քանի մասնաճյուղ ունեցող գործընկերը պարտավոր է փոխանցել այն, հակառակ դեպքում հարցումը ավարտվում է սխալով։ Միայն մեկ մասնաճյուղ ունեցող գործընկերոջ համար սերվերը ինքն է սահմանում այն։.
Օրինակ: 8778
Հարցման մարմին application/json object
id integer պարտադիր
Օրինակ: 2
Պատասխաններ 200
object
status string պարտադիր
Արժեքներ: successerror
Օրինակ: success
curl PHP JavaScript Python Պատճենել
curl -X POST 'https://foodsoul.ru/api/crm/v2/special_offers_list.delete' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: hy' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":2}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/special_offers_list.delete' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'hy' ,
'role' => 'partner' ,
],
'json' => [
'id' => 2 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/special_offers_list.delete" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "hy" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 2
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/special_offers_list.delete" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "hy" ,
"role" : "partner" ,
},
json ={
"id" : 2 ,
},
)
data = response . json () Պատասխան 200
{
"status" : "success" ,
"data" : {}
} Հարցումները ուղարկվում են foodsoul.ru՝ այս պորտալի հոստը, այլ ընտրություն հնարավոր չէ։.